It looks like you're offline.
Open Library logo

Open Library Books API → Diff

Added
Modified
Removed
Not changed
Revision 16 by Anand Chitipothu November 10, 2011
Revision 17 by Anand Chitipothu October 22, 2013
body
0 The Open Library Books API provides a programmatic client-side method for querying information of books using Javascript. 0 The Open Library Books API provides a programmatic client-side method for querying information of books using Javascript.
1 1
2 This API is inspired by the Google Books [Dynamic links API][dynlinks] and is compatible with it. You can also pass people to an Open Library edition page by using a URL like this: <code>http://openlibrary.org/isbn/123</code>. 2 This API is inspired by the Google Books [Dynamic links API][dynlinks] and is compatible with it. You can also pass people to an Open Library edition page by using a URL like this: <code>https://openlibrary.org/isbn/123</code>.
3 3
4 [dynlinks]: http://code.google.com/apis/books/docs/dynamic-links.html 4 [dynlinks]: https://code.google.com/apis/books/docs/dynamic-links.html
5 5
... ...
11 11
12    <script src="http://openlibrary.org/api/books?bibkeys=ISBN:0451526538&callback=mycallback"></script> 12    <script src="https://openlibrary.org/api/books?bibkeys=ISBN:0451526538&callback=mycallback"></script>
13 13
... ...
67 67
68    $ curl 'http://openlibrary.org/api/books?bibkeys=ISBN:0201558025,LCCN:93005405&callback=processBooks' 68    $ curl 'https://openlibrary.org/api/books?bibkeys=ISBN:0201558025,LCCN:93005405&callback=processBooks'
69    processBooks({ 69    processBooks({
... ...
80 80
81    $ curl 'http://openlibrary.org/api/books?bibkeys=ISBN:0201558025,LCCN:93005405&format=json' 81    $ curl 'https://openlibrary.org/api/books?bibkeys=ISBN:0201558025,LCCN:93005405&format=json'
82    { 82    {
... ...
125 125
126    $ curl 'http://openlibrary.org/api/books?bibkeys=ISBN:0385472579,LCCN:62019420&format=json' 126    $ curl 'https://openlibrary.org/api/books?bibkeys=ISBN:0385472579,LCCN:62019420&format=json'
127    { 127    {
128        "ISBN:0385472579": { 128        "ISBN:0385472579": {
129            "bib_key": "ISBN:0385472579", 129            "bib_key": "ISBN:0385472579",
130            "preview": "noview", 130            "preview": "noview",
131            "thumbnail_url": "http://covers.openlibrary.org/b/id/240726-S.jpg", 131            "thumbnail_url": "https://covers.openlibrary.org/b/id/240726-S.jpg",
132            "preview_url": "http://openlibrary.org/books/OL1397864M/Zen_speaks", 132            "preview_url": "https://openlibrary.org/books/OL1397864M/Zen_speaks",
133            "info_url": "http://openlibrary.org/books/OL1397864M/Zen_speaks" 133            "info_url": "https://openlibrary.org/books/OL1397864M/Zen_speaks"
134        }, 134        },
135        "LCCN:62019420": { 135        "LCCN:62019420": {
136            "bib_key": "LCCN:62019420", 136            "bib_key": "LCCN:62019420",
137            "preview": "full", 137            "preview": "full",
138            "thumbnail_url": "http://covers.openlibrary.org/b/id/6121771-S.jpg", 138            "thumbnail_url": "https://covers.openlibrary.org/b/id/6121771-S.jpg",
139            "preview_url": "http://www.archive.org/details/adventurestomsa00twaigoog", 139            "preview_url": "https://archive.org/details/adventurestomsa00twaigoog",
140            "info_url": "http://openlibrary.org/books/OL23377687M/adventures_of_Tom_Sawyer" 140            "info_url": "https://openlibrary.org/books/OL23377687M/adventures_of_Tom_Sawyer"
141        } 141        }
... ...
161        "name": "...", 161        "name": "...",
162        "url": "http://openlibrary.org/authors/..." 162        "url": "https://openlibrary.org/authors/..."
163    } 163    }
... ...
190    { 190    {
191        "url": "http://openlibrary.org/subjects/history", 191        "url": "https://openlibrary.org/subjects/history",
192        "name": "History" 192        "name": "History"
... ...
228    { 228    {
229        "url": "http://...", 229        "url": "https://...",
230        "title": "..." 230        "title": "..."
... ...
237    { 237    {
238        "small": "http://covers.openlibrary.org/b/id/1-S.jpg", 238        "small": "https://covers.openlibrary.org/b/id/1-S.jpg",
239        "medium": "http://covers.openlibrary.org/b/id/1-M.jpg", 239        "medium": "https://covers.openlibrary.org/b/id/1-M.jpg",
240        "large": "http://covers.openlibrary.org/b/id/1-L.jpg", 240        "large": "https://covers.openlibrary.org/b/id/1-L.jpg",
241    } 241    }
... ...
247    { 247    {
248        "preview_url": "http://www.archive.org/details/..." 248        "preview_url": "https://archive.org/details/..."
249    } 249    }
... ...
261 261
262    $ curl 'http://openlibrary.org/api/books?bibkeys=ISBN:9780980200447&jscmd=data&format=json' 262    $ curl 'https://openlibrary.org/api/books?bibkeys=ISBN:9780980200447&jscmd=data&format=json'
263    { 263    {
... ...
314            "title": "Slow reading", 314            "title": "Slow reading",
315            "url": "http://openlibrary.org/books/OL22853304M/Slow_reading", 315            "url": "https://openlibrary.org/books/OL22853304M/Slow_reading",
316            "number_of_pages": 80, 316            "number_of_pages": 80,
317            "cover": { 317            "cover": {
318                "small": "http://covers.openlibrary.org/b/id/5546156-S.jpg", 318                "small": "https://covers.openlibrary.org/b/id/5546156-S.jpg",
319                "large": "http://covers.openlibrary.org/b/id/5546156-L.jpg", 319                "large": "https://covers.openlibrary.org/b/id/5546156-L.jpg",
320                "medium": "http://covers.openlibrary.org/b/id/5546156-M.jpg" 320                "medium": "https://covers.openlibrary.org/b/id/5546156-M.jpg"
321            }, 321            },
322            "subjects": [ 322            "subjects": [
323                { 323                {
324                    "url": "http://openlibrary.org/subjects/books_and_reading", 324                    "url": "https://openlibrary.org/subjects/books_and_reading",
325                    "name": "Books and reading" 325                    "name": "Books and reading"
326                }, 326                },
327                { 327                {
328                    "url": "http://openlibrary.org/subjects/reading", 328                    "url": "https://openlibrary.org/subjects/reading",
329                    "name": "Reading" 329                    "name": "Reading"
... ...
334                { 334                {
335                    "url": "http://openlibrary.org/authors/OL6548935A/John_Miedema", 335                    "url": "https://openlibrary.org/authors/OL6548935A/John_Miedema",
336                    "name": "John Miedema" 336                    "name": "John Miedema"
... ...
358 358
359    $ curl 'http://openlibrary.org/api/books?bibkeys=ISBN:9780980200447&jscmd=details&format=json' 359    $ curl 'https://openlibrary.org/api/books?bibkeys=ISBN:9780980200447&jscmd=details&format=json'
360    { 360    {
361        "ISBN:9780980200447": { 361        "ISBN:9780980200447": {
362            "info_url": "http://openlibrary.org/books/OL22853304M/Slow_reading", 362            "info_url": "https://openlibrary.org/books/OL22853304M/Slow_reading",
363            "bib_key": "ISBN:9780980200447", 363            "bib_key": "ISBN:9780980200447",
364            "preview_url": "http://openlibrary.org/books/OL22853304M/Slow_reading", 364            "preview_url": "https://openlibrary.org/books/OL22853304M/Slow_reading",
365            "thumbnail_url": "http://covers.openlibrary.org/b/id/5546156-S.jpg", 365            "thumbnail_url": "https://covers.openlibrary.org/b/id/5546156-S.jpg",
366            "preview": "noview", 366            "preview": "noview",
... ...
504 Earlier these details were provided when `details=true` parameter is passed. It is equivalent to `jscmd=details` and it is retained only for backward-compataibilty. 504 Earlier these details were provided when `details=true` parameter is passed. It is equivalent to `jscmd=details` and it is retained only for backward-compataibilty.